#include <iostream>

using namespace std;

int main()
{
    int a;
    cin>>a;
    if(a<=2) cout<<0<<endl;
    else if(a<=4) cout<<1<<endl;
    else if(a%2==0) cout<<a/2<<endl;
    else cout<<a/2+1<<endl;
    return 0;
}